ACM

acm

ACM

Custom Trust Store

acm.custom_trust_store

Methods

List Custom Origin Trust Store Details -> V4PagePaginationArray<>
get/zones/{zone_id}/acm/custom_trust_store

Get Custom Origin Trust Store for a Zone.

Upload Custom Origin Trust Store -> Envelope<>
post/zones/{zone_id}/acm/custom_trust_store

Add Custom Origin Trust Store for a Zone.

Custom Origin Trust Store Details -> Envelope<>
get/zones/{zone_id}/acm/custom_trust_store/{custom_origin_trust_store_id}

Retrieves details about a specific certificate in the custom origin trust store, including expiration and subject information.

Delete Custom Origin Trust Store -> Envelope<{ id }>
delete/zones/{zone_id}/acm/custom_trust_store/{custom_origin_trust_store_id}

Removes a CA certificate from the custom origin trust store. Origins using certificates signed by this CA will no longer be trusted.

Security

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

SSL and Certificates Write

path Parameters
zone_id: string
(maxLength: 32)

Identifier.

custom_origin_trust_store_id: string
(maxLength: 32)

Identifier.

Response fields
errors: Array<{ code, message, documentation_url, 1 more... }>
messages: Array<{ code, message, documentation_url, 1 more... }>
success: true

Whether the API call was successful.

result: { id }
Optional
Request example
200Example

Domain types

CustomTrustStore = { id, certificate, expires_on, 5 more... }
ACM

Total TLS

acm.total_tls

Methods

Total TLS Settings Details -> Envelope<{ certificate_authority, enabled, validity_period }>
get/zones/{zone_id}/acm/total_tls

Get Total TLS Settings for a Zone.

Enable Or Disable Total TLS -> Envelope<{ certificate_authority, enabled, validity_period }>
post/zones/{zone_id}/acm/total_tls

Set Total TLS Settings or disable the feature for a Zone.

Enable Or Disable Total TLS -> Envelope<{ certificate_authority, enabled, validity_period }>
post/zones/{zone_id}/acm/total_tls

Set Total TLS Settings or disable the feature for a Zone.

Domain types

CertificateAuthority = "google" | "lets_encrypt" | "ssl_com"

The Certificate Authority that Total TLS certificates will be issued through.